Last Comment Bug 564606 - [SeaMonkey, non-nightly] Fix "Warning: package error or possible missing or unnecessary file: ..."
: [SeaMonkey, non-nightly] Fix "Warning: package error or possible missing or u...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- minor (vote)
: seamonkey2.1a2
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 555658 560147 560199 565774 585462 586822 586854
Blocks: 534664 521523 713134
  Show dependency treegraph
 
Reported: 2010-05-08 07:55 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-12-30 04:51 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Port bug 560147 [Checkin: Comment 16] (1.82 KB, patch)
2010-05-08 09:11 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Bv1) Port bug 555658 [Checkin: Comment 17] (3.04 KB, patch)
2010-05-08 09:27 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Cv1) Port bug 560199 [Checkin: Comment 18] (4.69 KB, patch)
2010-05-08 09:50 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific [Checkin: See comment 21] (3.42 KB, patch)
2010-05-10 17:46 PDT, Serge Gautherie (:sgautherie)
kairo: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-05-08 07:55:06 PDT
{
WINNT 5.2 comm-central-trunk build on 2010/05/08 06:05:07
Warning: package error or possible missing or unnecessary file: bin/layers.dll (package-manifest, 58).
Warning: package error or possible missing or unnecessary file: bin/components/caps.dll (package-manifest, 67).
Warning: package error or possible missing or unnecessary file: bin/components/intlapp.dll (package-manifest, 83).
Warning: package error or possible missing or unnecessary file: bin/components/mozfind.dll (package-manifest, 86).
Warning: package error or possible missing or unnecessary file: bin/components/xpc3250.dll (package-manifest, 105).
+
WINNT 5.2 comm-central-trunk leak test build on 2010/05/08 04:59:40
Warning: package error or possible missing or unnecessary file: bin/Microsoft.VC80.CRT.manifest (package-manifest, 41).
Warning: package error or possible missing or unnecessary file: bin/msvcm80.dll (package-manifest, 42).
Warning: package error or possible missing or unnecessary file: bin/msvcp80.dll (package-manifest, 43).
Warning: package error or possible missing or unnecessary file: bin/msvcr80.dll (package-manifest, 44).
}
Comment 1 Serge Gautherie (:sgautherie) 2010-05-08 09:11:13 PDT
Created attachment 444258 [details] [diff] [review]
(Av1) Port bug 560147
[Checkin: Comment 16]
Comment 2 Serge Gautherie (:sgautherie) 2010-05-08 09:27:55 PDT
Created attachment 444261 [details] [diff] [review]
(Bv1) Port bug 555658
[Checkin: Comment 17]
Comment 3 Serge Gautherie (:sgautherie) 2010-05-08 09:50:31 PDT
Created attachment 444262 [details] [diff] [review]
(Cv1) Port bug 560199
[Checkin: Comment 18]
Comment 4 Serge Gautherie (:sgautherie) 2010-05-08 11:31:32 PDT
(In reply to comment #0)
> {
> WINNT 5.2 comm-central-trunk leak test build on 2010/05/08 04:59:40
> Warning: package error or possible missing or unnecessary file:
> bin/Microsoft.VC80.CRT.manifest (package-manifest, 41).
> Warning: package error or possible missing or unnecessary file: bin/msvcm80.dll
> (package-manifest, 42).
> Warning: package error or possible missing or unnecessary file: bin/msvcp80.dll
> (package-manifest, 43).
> Warning: package error or possible missing or unnecessary file: bin/msvcr80.dll
> (package-manifest, 44).
> }

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273330387.1273336886.16604.gz&fulltext=1
WINNT 5.2 mozilla-central leak test build on 2010/05/08 07:53:07
{
 environment:
  WIN32_REDIST_DIR=d:/msvs8/VC/redist/x86/Microsoft.VC80.CRT
}

cn-sea-qm-win2k3-01 (and maybe other builders) are missing WIN32_REDIST_DIR.
Comment 5 Robert Kaiser 2010-05-08 12:54:06 PDT
(In reply to comment #4)
> cn-sea-qm-win2k3-01 (and maybe other builders) are missing WIN32_REDIST_DIR.

If so, then all are missing it, I don't think we're setting it locally, it pretty surely is in the buildbot configs. I've not been very much around in the last days due to being somewhat ill and on a local conference, could you find out when/where they changed this? If not, I'll dig in myself, but it might take some time until I've worked all my backlogs to that point.
Comment 6 Serge Gautherie (:sgautherie) 2010-05-08 13:33:07 PDT
(In reply to comment #5)

> I don't think we're setting it locally

I was guessing our boxes should, but I've no real clue either way:
you may want to ask m-c RelEng...

> it pretty surely is in the buildbot configs.

All I found is
http://mxr.mozilla.org/build/search?string=WIN32_REDIST_DIR&case=1
which started with bug 518910.

(which makes me wonder whether that fennec export would somehow "leak/fix" to firefox.?.)

> could you find out when/where they changed this?

I'm not sure where to search further :-/
For example,
WINNT 5.2 comm-central-trunk leak test build on 2010/04/10 12:41:05
already had this bug.
Comment 7 Serge Gautherie (:sgautherie) 2010-05-08 19:02:37 PDT
(In reply to comment #0)
> Warning: package error or possible missing or unnecessary file: bin/layers.dll
> (package-manifest, 58).

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273330387.1273335053.9918.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2010/05/08 07:53:07
s: cb-seamonkey-win32-02
doesn't report this one.
I assume a clobber will be wanted after my 3 patches are in...
Comment 8 Serge Gautherie (:sgautherie) 2010-05-08 19:10:44 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273367846.1273370115.1970.gz&fulltext=1
OS X 10.5 comm-central-trunk build on 2010/05/08 18:17:26
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273367846.1273368939.30689.gz&fulltext=1
OS X 10.5 comm-central-trunk leak test build on 2010/05/08 18:17:26
{
Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/MacOS/libgfxpsshar.dylib (package-manifest, 57).
Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/MacOS/libgtkxtbin.dylib (package-manifest, 58).
Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/MacOS/components/libaccessibility.dylib (package-manifest, 67).
Warning: package error or possible missing or unnecessary file: SeaMonkey.app/Contents/MacOS/components/libfileview.dylib (package-manifest, 79).
}
Comment 9 Serge Gautherie (:sgautherie) 2010-05-08 19:22:34 PDT
Linux: same 5 files as Windows.
Comment 10 Justin Wood (:Callek) 2010-05-08 20:47:09 PDT
serge, do you consider this a 2.1a1 blocker, or is it a relatively minor thing that can wait a bit longer.

If its a blocker I'll get it tomorrow after work; otherwise I'll get it when I wake up on Monday.
Comment 11 Serge Gautherie (:sgautherie) 2010-05-08 23:48:41 PDT
(In reply to comment #10)
> do you consider this a 2.1a1 blocker

This bug is not a blocker, as it doesn't affect static builds.
Comment 12 Robert Kaiser 2010-05-09 03:31:54 PDT
FYI, layers.dll isn't built any more, it's been merged/linked into thebes.dll due to (our!) build problems with it.
Comment 13 Serge Gautherie (:sgautherie) 2010-05-10 17:46:18 PDT
Created attachment 444528 [details] [diff] [review]
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific
[Checkin: See comment 21]

Damn! I already have a (correct but refused) patch in bug 534664 for these 4 MacOSX warnings.
Then I'll only workaround/fix the 3 obvious cases here :-|
Comment 14 Justin Wood (:Callek) 2010-05-10 23:12:06 PDT
Comment on attachment 444528 [details] [diff] [review]
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific
[Checkin: See comment 21]

I'm not going to step on Roberts toes from his r- on that other bug, please get his review here.
Comment 15 Robert Kaiser 2010-05-11 07:50:07 PDT
Comment on attachment 444528 [details] [diff] [review]
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific
[Checkin: See comment 21]

>-components/@DLL_PREFIX@fileview@DLL_SUFFIX@
>+    #ifdef UNIX_BUT_NOT_MAC
>+      components/@DLL_PREFIX@fileview@DLL_SUFFIX@
>+    #endif


Where do those strange indentation changes come from?
Comment 16 Serge Gautherie (:sgautherie) 2010-05-11 08:14:25 PDT
Comment on attachment 444258 [details] [diff] [review]
(Av1) Port bug 560147
[Checkin: Comment 16]


http://hg.mozilla.org/comm-central/rev/5cedecc9036a
Comment 17 Serge Gautherie (:sgautherie) 2010-05-11 08:14:31 PDT
Comment on attachment 444261 [details] [diff] [review]
(Bv1) Port bug 555658
[Checkin: Comment 17]


http://hg.mozilla.org/comm-central/rev/ad278e43a2b7
Comment 18 Serge Gautherie (:sgautherie) 2010-05-11 08:14:36 PDT
Comment on attachment 444262 [details] [diff] [review]
(Cv1) Port bug 560199
[Checkin: Comment 18]


http://hg.mozilla.org/comm-central/rev/cf1d0695dfad
Comment 19 Serge Gautherie (:sgautherie) 2010-05-11 08:20:33 PDT
(In reply to comment #15)
> Where do those strange indentation changes come from?

Bug 555512 > bug 541824...
Comment 20 Robert Kaiser 2010-05-13 14:48:55 PDT
Comment on attachment 444528 [details] [diff] [review]
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific
[Checkin: See comment 21]

r=me on the precondition that you don't change indentation in removed-files inmconsistently.
The same comment as for bug 545631 comment #4 also counts here.
Comment 21 Serge Gautherie (:sgautherie) 2010-05-13 15:09:23 PDT
Comment on attachment 444528 [details] [diff] [review]
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific
[Checkin: See comment 21]


http://hg.mozilla.org/comm-central/rev/763516635645
Comment 22 Serge Gautherie (:sgautherie) 2010-05-13 15:13:03 PDT
Comment on attachment 444528 [details] [diff] [review]
(Dv1) Fix bug 521523 mistake, Make bug 495612 more specific
[Checkin: See comment 21]


(In reply to comment #21)
> http://hg.mozilla.org/comm-central/rev/763516635645

Dv1, with comment 20 suggestion(s).
Comment 23 Serge Gautherie (:sgautherie) 2010-05-13 15:21:41 PDT
(In reply to comment #0)
> {
> WINNT 5.2 comm-central-trunk leak test build on 2010/05/08 04:59:40
> Warning: package error or possible missing or unnecessary file:
> bin/Microsoft.VC80.CRT.manifest (package-manifest, 41).
> Warning: package error or possible missing or unnecessary file: bin/msvcm80.dll
> (package-manifest, 42).
> Warning: package error or possible missing or unnecessary file: bin/msvcp80.dll
> (package-manifest, 43).
> Warning: package error or possible missing or unnecessary file: bin/msvcr80.dll
> (package-manifest, 44).
> }

I filed bug 565774.

Note You need to log in before you can comment on or make changes to this bug.